pilot-install-dat(1)

NAME
pilot-install-datebook - Installs one or more new datebook entries onto your Palm handheld.

SECTION

pilot-link: Userland conduits

SYNOPSIS

 pilot-install-datebook [-p|--port <port>] [--version] [-?|--help] [-q|--quiet] [--usage] [-r|--read file]

DESCRIPTION

 pilot-install-datebook allows the user to create one or more datebook entries from one or more source files.

The format of the source file contains one datebook entry per line, containing four tab separated fields. The fields are start date/time, end date/time, alarm settings, and the description of datebook entry. This program doesn't yet support repeated entries. The date and time must be in format understood by parsedate.y. At the very least, the following two formats are understood:

August 11, 1997 0800 GMT+300

1997/08/11 08:22:33 GMT+300

If either one of the date and time fields is empty, the entry is installed without time. If the alarm field is empty, the entry is installed without setting any alarms. The alarm field can contain numbers followed by "m" (minutes), "h" (hours), or "d" (days).

OPTIONS

  pilot-install-datebook options
                        -r, --read

Read entries from file.

  Conduit Options
                        -p, --port
                        <port>

Use device file <port> to communicate with the Palm handheld. If this is not specified, pilot-install-datebook will look for the $PILOTPORT environment variable. If neither are found, pilot-install-datebook will print the usage information.
                        -q,
                        --quiet

Suppress 'Hit HotSync button' message
                        --version

Display the copyright information, version number, license details and build details and exit without connecting.

  Help options
                        -?, --help

Show the help message and exit without connecting.
                        --usage

Display a brief usage message and exit without connecting.

USAGE

The program will connect to the target Palm device, and create Datebook entries based on the datebook-formatted file given on the commandline onto the Palm handheld (into the DatebookDB.pdb file).

EXAMPLES

([__TAB__] = tab, [__NL__] = newline in these examples):

1997/08/11 0800 GMT+300 [__TAB__] 1997/08/11 0900 GMT+300 [__TAB__] [__TAB__] IETF Registration [__NL__]

August 11, 1997 0900 GMT+300 [__TAB__] August 11, 1997 0930 GMT+300 [__TAB__] 2m [__TAB__] Introductions [__NL__]

AUTHOR

 pilot-install-datebook was originally written by Tero Kivinen <kivinen@iki.fi>. This program was based on pilot-install-todos program written by Robert A. Kaplan <kaplan@openmarket.com>.

This manual page was converted to XML by Neil Williams <linux@codehelp.co.uk>

BUGS

  Known Bugs

If no timezone is given, pilot-install-datebook will assume the time is in GMT and it will convert it to localtime. If you don't want to create timezone entries for all begin and end times, set the TZ environment variable to GMT before running this program.

  Reporting Bugs

We have an online bug tracker. Using this is the only way to ensure that your bugs are recorded and that we can track them until they are resolved or closed. Reporting bugs via email, while easy, is not very useful in terms of accountability. Please point your browser to http://bugs.pilot-link.org: http://bugs.pilot-link.org and report your bugs and issues there.

COPYRIGHT

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

SEE ALSO

 pilot-install-todos(1), pilot-link(7).